## org.biojava.bio.program.tagvalue
Interface ChangeTable.Splitter

All Known Implementing Classes:
  RegexSplitter

Enclosing class:
  ChangeTable

    public static interface ChangeTable.Splitter

Callback used to produce a list of values from a single old one.

Since:
  1.3
Author:
  Matthew Pocock

Method Summary
`List` `split(Object value)` Produce a list of values from an old value.

Method Detail

### split

    List split(Object value)
               throws ParserException

  Produce a list of values from an old value.

  It is strongly recommended that this method is re-entrant and does not modify the state of the Splitter in a way that would affect future return -values.

  Parameters:
    `value` - the old value Object
  Returns:
    a List of value Objects produced by splitting the old value Object
  Throws:
    `ParserException` - if the value could not be split